%if 0%{?el7}
%define dist .el7
%endif

%define debug_package %{nil}

Name:           decklink
Version:        10.4
Release:        4%{?dist}
Summary:        Blackmagic DeckLink SDK

Group:          System Environment/Libraries
License:        Blackmagic Design
URL:            http://www.blackmagicdesign.com/
Source0:        http://sw.blackmagicdesign.com/DeckLink/v%{version}/Blackmagic_DeckLink_SDK_%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
%{summary}.

%prep
%setup -q -n "Blackmagic DeckLink SDK %{version}"


%build
# nothing to do


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_includedir}
pushd SDK/Linux/include
cp -p * $RPM_BUILD_ROOT%{_includedir}/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc *.pdf *.rtf
%{_includedir}/*


%changelog
* Fri Mar 04 2016 momo-i <webmaster@momo-i.org> - 10.4-4
- Do not build debug package

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 10.4-3
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 10.4-2
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 10.4-1
- Rebuilt for fc22
- Update to 1.04

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 10.1.4-1
- Update 10.1.4

* Mon Mar 24 2014 momo-i <webmaster@momo-i.org> - 10.0-1
- Initial rpm release.
